Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.rd.kodo.impl.jdbc.query.exp
Interface JDBCValue

All Superinterfaces:
  Value

All Known Subinterfaces:
  JDBCPath

All Known Implementing Classes:
  Constant, ConstantPath, Extension, MathValue, SQLPath, Variable

public interface JDBCValue
extends Value

A Value represents any non-operator in a query filter, including constants, variables, and object fields.

Method Summary
`void` | `appendIsEmpty(com.solarmetric.rd.kodo.impl.jdbc.schema.SQLBuffer sql)` Append the SQL testing whether this value is empty to the given buffer.
`void` | `appendIsNotNull(com.solarmetric.rd.kodo.impl.jdbc.schema.SQLBuffer sql)` Append the SQL testing whether this value is not null to the given buffer.
`void` | `appendIsNull(com.solarmetric.rd.kodo.impl.jdbc.schema.SQLBuffer sql)` Append the SQL testing whether this value is null to the given buffer.
`void` | `appendTo(com.solarmetric.rd.kodo.impl.jdbc.schema.SQLBuffer sql, int index)` Append the SQL for this value to the given buffer.
`void` | `calculateValue(com.solarmetric.rd.kodo.runtime.PersistenceManagerImpl pm, java.util.Map params, com.solarmetric.rd.kodo.impl.jdbc.query.exp.JDBCValue other)` Calculate and cache the SQL for this value.
`void` | `castTo(java.lang.Class cls)` Cast this value to the given class.
`java.lang.Object` | `getDataStoreValue(java.lang.Object val)` Transform the given value into its datastore equivalent.
`com.solarmetric.rd.kodo.impl.jdbc.runtime.Joins` | `getJoins()` Return the joins for this value.
`void` | `initialize(com.solarmetric.rd.kodo.runtime.PersistenceManagerImpl pm, com.solarmetric.rd.kodo.impl.jdbc.runtime.Select select, boolean nullTest)` Initialize the value.
`int` | `length()` Return the number of SQL elements in this value.

Methods inherited from interface com.solarmetric.rd.kodo.query.Value
`isVariable`

Method Detail

### initialize

    public void initialize(com.solarmetric.rd.kodo.runtime.PersistenceManagerImpl pm,
                           com.solarmetric.rd.kodo.impl.jdbc.runtime.Select select,
                           boolean nullTest)

  Initialize the value. This method should recursively initialize any sub-values. It should also cache the `Joins` instance containing the joins for this value.

  Parameters:
    `pm` - the persistence manager for the query
    `select` - used to create `Joins` instances
    `nullTest` - if true, then this value will be compared to null or tested for emptiness

### castTo

    public void castTo(java.lang.Class cls)

  Cast this value to the given class.

### calculateValue

    public void calculateValue(com.solarmetric.rd.kodo.runtime.PersistenceManagerImpl pm,
                               java.util.Map params,
                               com.solarmetric.rd.kodo.impl.jdbc.query.exp.JDBCValue other)

  Calculate and cache the SQL for this value.

### length

    public int length()

  Return the number of SQL elements in this value.

### appendTo

    public void appendTo(com.solarmetric.rd.kodo.impl.jdbc.schema.SQLBuffer sql,
                         int index)

  Append the SQL for this value to the given buffer.

### appendIsEmpty

    public void appendIsEmpty(com.solarmetric.rd.kodo.impl.jdbc.schema.SQLBuffer sql)

  Append the SQL testing whether this value is empty to the given buffer.

### appendIsNull

    public void appendIsNull(com.solarmetric.rd.kodo.impl.jdbc.schema.SQLBuffer sql)

  Append the SQL testing whether this value is null to the given buffer.

### appendIsNotNull

    public void appendIsNotNull(com.solarmetric.rd.kodo.impl.jdbc.schema.SQLBuffer sql)

  Append the SQL testing whether this value is not null to the given buffer.

### getJoins

    public com.solarmetric.rd.kodo.impl.jdbc.runtime.Joins getJoins()

  Return the joins for this value. These joins should be created and cached during the `initialize(com.solarmetric.rd.kodo.runtime.PersistenceManagerImpl, com.solarmetric.rd.kodo.impl.jdbc.runtime.Select, boolean)` method. The parent expression might modify these joins during its own initialization so that common joins are moved up the expression tree. These joins should not be included in the SQL appended through any of the `append` methods.

### getDataStoreValue

    public java.lang.Object getDataStoreValue(java.lang.Object val)

  Transform the given value into its datastore equivalent.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.